"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ApiGatewayV2Client_1 = require("./ApiGatewayV2Client");
var CreateApiCommand_1 = require("./commands/CreateApiCommand");
var CreateApiMappingCommand_1 = require("./commands/CreateApiMappingCommand");
var CreateAuthorizerCommand_1 = require("./commands/CreateAuthorizerCommand");
var CreateDeploymentCommand_1 = require("./commands/CreateDeploymentCommand");
var CreateDomainNameCommand_1 = require("./commands/CreateDomainNameCommand");
var CreateIntegrationCommand_1 = require("./commands/CreateIntegrationCommand");
var CreateIntegrationResponseCommand_1 = require("./commands/CreateIntegrationResponseCommand");
var CreateModelCommand_1 = require("./commands/CreateModelCommand");
var CreateRouteCommand_1 = require("./commands/CreateRouteCommand");
var CreateRouteResponseCommand_1 = require("./commands/CreateRouteResponseCommand");
var CreateStageCommand_1 = require("./commands/CreateStageCommand");
var DeleteApiCommand_1 = require("./commands/DeleteApiCommand");
var DeleteApiMappingCommand_1 = require("./commands/DeleteApiMappingCommand");
var DeleteAuthorizerCommand_1 = require("./commands/DeleteAuthorizerCommand");
var DeleteDeploymentCommand_1 = require("./commands/DeleteDeploymentCommand");
var DeleteDomainNameCommand_1 = require("./commands/DeleteDomainNameCommand");
var DeleteIntegrationCommand_1 = require("./commands/DeleteIntegrationCommand");
var DeleteIntegrationResponseCommand_1 = require("./commands/DeleteIntegrationResponseCommand");
var DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
var DeleteRouteCommand_1 = require("./commands/DeleteRouteCommand");
var DeleteRouteResponseCommand_1 = require("./commands/DeleteRouteResponseCommand");
var DeleteStageCommand_1 = require("./commands/DeleteStageCommand");
var GetApiCommand_1 = require("./commands/GetApiCommand");
var GetApiMappingCommand_1 = require("./commands/GetApiMappingCommand");
var GetApiMappingsCommand_1 = require("./commands/GetApiMappingsCommand");
var GetApisCommand_1 = require("./commands/GetApisCommand");
var GetAuthorizerCommand_1 = require("./commands/GetAuthorizerCommand");
var GetAuthorizersCommand_1 = require("./commands/GetAuthorizersCommand");
var GetDeploymentCommand_1 = require("./commands/GetDeploymentCommand");
var GetDeploymentsCommand_1 = require("./commands/GetDeploymentsCommand");
var GetDomainNameCommand_1 = require("./commands/GetDomainNameCommand");
var GetDomainNamesCommand_1 = require("./commands/GetDomainNamesCommand");
var GetIntegrationCommand_1 = require("./commands/GetIntegrationCommand");
var GetIntegrationResponseCommand_1 = require("./commands/GetIntegrationResponseCommand");
var GetIntegrationResponsesCommand_1 = require("./commands/GetIntegrationResponsesCommand");
var GetIntegrationsCommand_1 = require("./commands/GetIntegrationsCommand");
var GetModelCommand_1 = require("./commands/GetModelCommand");
var GetModelTemplateCommand_1 = require("./commands/GetModelTemplateCommand");
var GetModelsCommand_1 = require("./commands/GetModelsCommand");
var GetRouteCommand_1 = require("./commands/GetRouteCommand");
var GetRouteResponseCommand_1 = require("./commands/GetRouteResponseCommand");
var GetRouteResponsesCommand_1 = require("./commands/GetRouteResponsesCommand");
var GetRoutesCommand_1 = require("./commands/GetRoutesCommand");
var GetStageCommand_1 = require("./commands/GetStageCommand");
var GetStagesCommand_1 = require("./commands/GetStagesCommand");
var GetTagsCommand_1 = require("./commands/GetTagsCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateApiCommand_1 = require("./commands/UpdateApiCommand");
var UpdateApiMappingCommand_1 = require("./commands/UpdateApiMappingCommand");
var UpdateAuthorizerCommand_1 = require("./commands/UpdateAuthorizerCommand");
var UpdateDeploymentCommand_1 = require("./commands/UpdateDeploymentCommand");
var UpdateDomainNameCommand_1 = require("./commands/UpdateDomainNameCommand");
var UpdateIntegrationCommand_1 = require("./commands/UpdateIntegrationCommand");
var UpdateIntegrationResponseCommand_1 = require("./commands/UpdateIntegrationResponseCommand");
var UpdateModelCommand_1 = require("./commands/UpdateModelCommand");
var UpdateRouteCommand_1 = require("./commands/UpdateRouteCommand");
var UpdateRouteResponseCommand_1 = require("./commands/UpdateRouteResponseCommand");
var UpdateStageCommand_1 = require("./commands/UpdateStageCommand");
var ApiGatewayV2 = /** @class */ (function (_super) {
    tslib_1.__extends(ApiGatewayV2, _super);
    function ApiGatewayV2() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ApiGatewayV2.prototype.createApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateApiCommand_1.CreateApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createApiMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateApiMappingCommand_1.CreateApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAuthorizerCommand_1.CreateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDeploymentCommand_1.CreateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDomainNameCommand_1.CreateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateIntegrationCommand_1.CreateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateIntegrationResponseCommand_1.CreateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createRoute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRouteCommand_1.CreateRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createRouteResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateRouteResponseCommand_1.CreateRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.createStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateStageCommand_1.CreateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteApiCommand_1.DeleteApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteApiMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteApiMappingCommand_1.DeleteApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAuthorizerCommand_1.DeleteAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDeploymentCommand_1.DeleteDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDomainNameCommand_1.DeleteDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIntegrationCommand_1.DeleteIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteIntegrationResponseCommand_1.DeleteIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteRoute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRouteCommand_1.DeleteRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteRouteResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteRouteResponseCommand_1.DeleteRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.deleteStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteStageCommand_1.DeleteStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApiCommand_1.GetApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getApiMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApiMappingCommand_1.GetApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getApiMappings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApiMappingsCommand_1.GetApiMappingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getApis = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApisCommand_1.GetApisCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAuthorizerCommand_1.GetAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getAuthorizers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAuthorizersCommand_1.GetAuthorizersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentCommand_1.GetDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getDeployments = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentsCommand_1.GetDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDomainNameCommand_1.GetDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getDomainNames = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDomainNamesCommand_1.GetDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationCommand_1.GetIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationResponseCommand_1.GetIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getIntegrationResponses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationResponsesCommand_1.GetIntegrationResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getIntegrations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetIntegrationsCommand_1.GetIntegrationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelCommand_1.GetModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getModelTemplate = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelTemplateCommand_1.GetModelTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getModels = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetModelsCommand_1.GetModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getRoute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRouteCommand_1.GetRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getRouteResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRouteResponseCommand_1.GetRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getRouteResponses = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRouteResponsesCommand_1.GetRouteResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getRoutes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRoutesCommand_1.GetRoutesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetStageCommand_1.GetStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getStages = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetStagesCommand_1.GetStagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.getTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetTagsCommand_1.GetTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateApi = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateApiCommand_1.UpdateApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateApiMapping = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateApiMappingCommand_1.UpdateApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateAuthorizer = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAuthorizerCommand_1.UpdateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDeploymentCommand_1.UpdateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateDomainName = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDomainNameCommand_1.UpdateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateIntegration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateIntegrationCommand_1.UpdateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateIntegrationResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateIntegrationResponseCommand_1.UpdateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateModel = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateModelCommand_1.UpdateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateRoute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRouteCommand_1.UpdateRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateRouteResponse = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateRouteResponseCommand_1.UpdateRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    ApiGatewayV2.prototype.updateStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateStageCommand_1.UpdateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return ApiGatewayV2;
}(ApiGatewayV2Client_1.ApiGatewayV2Client));
exports.ApiGatewayV2 = ApiGatewayV2;
//# sourceMappingURL=ApiGatewayV2.js.map