"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateApi_1 = require("../model/operations/CreateApi");
var CreateApiCommand = /** @class */ (function () {
    function CreateApiCommand(input) {
        this.input = input;
        this.model = CreateApi_1.CreateApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateApiCommand;
}());
exports.CreateApiCommand = CreateApiCommand;
//# sourceMappingURL=CreateApiCommand.js.map