"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateApiMapping_1 = require("../model/operations/CreateApiMapping");
var CreateApiMappingCommand = /** @class */ (function () {
    function CreateApiMappingCommand(input) {
        this.input = input;
        this.model = CreateApiMapping_1.CreateApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateApiMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateApiMappingCommand;
}());
exports.CreateApiMappingCommand = CreateApiMappingCommand;
//# sourceMappingURL=CreateApiMappingCommand.js.map