/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateIntegrationInput } from "../types/CreateIntegrationInput";
import { CreateIntegrationOutput } from "../types/CreateIntegrationOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/CreateIntegrationInput";
export * from "../types/CreateIntegrationOutput";
export * from "../types/CreateIntegrationExceptionsUnion";
export declare class CreateIntegrationCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateIntegrationInput, OutputTypesUnion, CreateIntegrationOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: CreateIntegrationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateIntegrationInput, CreateIntegrationOutput, _stream.Readable>;
    constructor(input: CreateIntegrationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<CreateIntegrationInput, CreateIntegrationOutput>;
}
