"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateIntegration_1 = require("../model/operations/CreateIntegration");
var CreateIntegrationCommand = /** @class */ (function () {
    function CreateIntegrationCommand(input) {
        this.input = input;
        this.model = CreateIntegration_1.CreateIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateIntegrationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateIntegrationCommand;
}());
exports.CreateIntegrationCommand = CreateIntegrationCommand;
//# sourceMappingURL=CreateIntegrationCommand.js.map