"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateIntegrationResponse_1 = require("../model/operations/CreateIntegrationResponse");
var CreateIntegrationResponseCommand = /** @class */ (function () {
    function CreateIntegrationResponseCommand(input) {
        this.input = input;
        this.model = CreateIntegrationResponse_1.CreateIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateIntegrationResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateIntegrationResponseCommand;
}());
exports.CreateIntegrationResponseCommand = CreateIntegrationResponseCommand;
//# sourceMappingURL=CreateIntegrationResponseCommand.js.map