"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRoute_1 = require("../model/operations/CreateRoute");
var CreateRouteCommand = /** @class */ (function () {
    function CreateRouteCommand(input) {
        this.input = input;
        this.model = CreateRoute_1.CreateRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRouteCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRouteCommand;
}());
exports.CreateRouteCommand = CreateRouteCommand;
//# sourceMappingURL=CreateRouteCommand.js.map