"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateRouteResponse_1 = require("../model/operations/CreateRouteResponse");
var CreateRouteResponseCommand = /** @class */ (function () {
    function CreateRouteResponseCommand(input) {
        this.input = input;
        this.model = CreateRouteResponse_1.CreateRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateRouteResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateRouteResponseCommand;
}());
exports.CreateRouteResponseCommand = CreateRouteResponseCommand;
//# sourceMappingURL=CreateRouteResponseCommand.js.map