"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteApi_1 = require("../model/operations/DeleteApi");
var DeleteApiCommand = /** @class */ (function () {
    function DeleteApiCommand(input) {
        this.input = input;
        this.model = DeleteApi_1.DeleteApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteApiCommand;
}());
exports.DeleteApiCommand = DeleteApiCommand;
//# sourceMappingURL=DeleteApiCommand.js.map