"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteApiMapping_1 = require("../model/operations/DeleteApiMapping");
var DeleteApiMappingCommand = /** @class */ (function () {
    function DeleteApiMappingCommand(input) {
        this.input = input;
        this.model = DeleteApiMapping_1.DeleteApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteApiMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteApiMappingCommand;
}());
exports.DeleteApiMappingCommand = DeleteApiMappingCommand;
//# sourceMappingURL=DeleteApiMappingCommand.js.map