"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteRoute_1 = require("../model/operations/DeleteRoute");
var DeleteRouteCommand = /** @class */ (function () {
    function DeleteRouteCommand(input) {
        this.input = input;
        this.model = DeleteRoute_1.DeleteRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteRouteCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteRouteCommand;
}());
exports.DeleteRouteCommand = DeleteRouteCommand;
//# sourceMappingURL=DeleteRouteCommand.js.map