"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApi_1 = require("../model/operations/GetApi");
var GetApiCommand = /** @class */ (function () {
    function GetApiCommand(input) {
        this.input = input;
        this.model = GetApi_1.GetApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApiCommand;
}());
exports.GetApiCommand = GetApiCommand;
//# sourceMappingURL=GetApiCommand.js.map