"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApiMapping_1 = require("../model/operations/GetApiMapping");
var GetApiMappingCommand = /** @class */ (function () {
    function GetApiMappingCommand(input) {
        this.input = input;
        this.model = GetApiMapping_1.GetApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApiMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApiMappingCommand;
}());
exports.GetApiMappingCommand = GetApiMappingCommand;
//# sourceMappingURL=GetApiMappingCommand.js.map