"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApiMappings_1 = require("../model/operations/GetApiMappings");
var GetApiMappingsCommand = /** @class */ (function () {
    function GetApiMappingsCommand(input) {
        this.input = input;
        this.model = GetApiMappings_1.GetApiMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApiMappingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApiMappingsCommand;
}());
exports.GetApiMappingsCommand = GetApiMappingsCommand;
//# sourceMappingURL=GetApiMappingsCommand.js.map