"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetApis_1 = require("../model/operations/GetApis");
var GetApisCommand = /** @class */ (function () {
    function GetApisCommand(input) {
        this.input = input;
        this.model = GetApis_1.GetApis;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetApisCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetApisCommand;
}());
exports.GetApisCommand = GetApisCommand;
//# sourceMappingURL=GetApisCommand.js.map