/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetRouteInput } from "../types/GetRouteInput";
import { GetRouteOutput } from "../types/GetRouteOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetRouteInput";
export * from "../types/GetRouteOutput";
export * from "../types/GetRouteExceptionsUnion";
export declare class GetRouteCommand implements __aws_sdk_types.Command<InputTypesUnion, GetRouteInput, OutputTypesUnion, GetRouteOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetRouteInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetRouteInput, GetRouteOutput, _stream.Readable>;
    constructor(input: GetRouteInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetRouteInput, GetRouteOutput>;
}
