"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRoute_1 = require("../model/operations/GetRoute");
var GetRouteCommand = /** @class */ (function () {
    function GetRouteCommand(input) {
        this.input = input;
        this.model = GetRoute_1.GetRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRouteCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRouteCommand;
}());
exports.GetRouteCommand = GetRouteCommand;
//# sourceMappingURL=GetRouteCommand.js.map