"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRouteResponse_1 = require("../model/operations/GetRouteResponse");
var GetRouteResponseCommand = /** @class */ (function () {
    function GetRouteResponseCommand(input) {
        this.input = input;
        this.model = GetRouteResponse_1.GetRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRouteResponseCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRouteResponseCommand;
}());
exports.GetRouteResponseCommand = GetRouteResponseCommand;
//# sourceMappingURL=GetRouteResponseCommand.js.map