"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRouteResponses_1 = require("../model/operations/GetRouteResponses");
var GetRouteResponsesCommand = /** @class */ (function () {
    function GetRouteResponsesCommand(input) {
        this.input = input;
        this.model = GetRouteResponses_1.GetRouteResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRouteResponsesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRouteResponsesCommand;
}());
exports.GetRouteResponsesCommand = GetRouteResponsesCommand;
//# sourceMappingURL=GetRouteResponsesCommand.js.map