"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRoutes_1 = require("../model/operations/GetRoutes");
var GetRoutesCommand = /** @class */ (function () {
    function GetRoutesCommand(input) {
        this.input = input;
        this.model = GetRoutes_1.GetRoutes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRoutesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRoutesCommand;
}());
exports.GetRoutesCommand = GetRoutesCommand;
//# sourceMappingURL=GetRoutesCommand.js.map