"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateApi_1 = require("../model/operations/UpdateApi");
var UpdateApiCommand = /** @class */ (function () {
    function UpdateApiCommand(input) {
        this.input = input;
        this.model = UpdateApi_1.UpdateApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateApiCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateApiCommand;
}());
exports.UpdateApiCommand = UpdateApiCommand;
//# sourceMappingURL=UpdateApiCommand.js.map