"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateApiMapping_1 = require("../model/operations/UpdateApiMapping");
var UpdateApiMappingCommand = /** @class */ (function () {
    function UpdateApiMappingCommand(input) {
        this.input = input;
        this.model = UpdateApiMapping_1.UpdateApiMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateApiMappingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateApiMappingCommand;
}());
exports.UpdateApiMappingCommand = UpdateApiMappingCommand;
//# sourceMappingURL=UpdateApiMappingCommand.js.map