"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRoute_1 = require("../model/operations/UpdateRoute");
var UpdateRouteCommand = /** @class */ (function () {
    function UpdateRouteCommand(input) {
        this.input = input;
        this.model = UpdateRoute_1.UpdateRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRouteCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRouteCommand;
}());
exports.UpdateRouteCommand = UpdateRouteCommand;
//# sourceMappingURL=UpdateRouteCommand.js.map