"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateApiInput_1 = require("../shapes/CreateApiInput");
var CreateApiOutput_1 = require("../shapes/CreateApiOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateApi",
    http: {
        method: "POST",
        requestUri: "/v2/apis"
    },
    input: {
        shape: CreateApiInput_1.CreateApiInput
    },
    output: {
        shape: CreateApiOutput_1.CreateApiOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateApi.js.map