"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateApiMappingInput_1 = require("../shapes/CreateApiMappingInput");
var CreateApiMappingOutput_1 = require("../shapes/CreateApiMappingOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateApiMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateApiMapping",
    http: {
        method: "POST",
        requestUri: "/v2/domainnames/{domainName}/apimappings"
    },
    input: {
        shape: CreateApiMappingInput_1.CreateApiMappingInput
    },
    output: {
        shape: CreateApiMappingOutput_1.CreateApiMappingOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateApiMapping.js.map