"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAuthorizerInput_1 = require("../shapes/CreateAuthorizerInput");
var CreateAuthorizerOutput_1 = require("../shapes/CreateAuthorizerOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateAuthorizer",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/authorizers"
    },
    input: {
        shape: CreateAuthorizerInput_1.CreateAuthorizerInput
    },
    output: {
        shape: CreateAuthorizerOutput_1.CreateAuthorizerOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateAuthorizer.js.map