"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateIntegrationInput_1 = require("../shapes/CreateIntegrationInput");
var CreateIntegrationOutput_1 = require("../shapes/CreateIntegrationOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateIntegration",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/integrations"
    },
    input: {
        shape: CreateIntegrationInput_1.CreateIntegrationInput
    },
    output: {
        shape: CreateIntegrationOutput_1.CreateIntegrationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateIntegration.js.map