"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateRouteInput_1 = require("../shapes/CreateRouteInput");
var CreateRouteOutput_1 = require("../shapes/CreateRouteOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRoute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRoute",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/routes"
    },
    input: {
        shape: CreateRouteInput_1.CreateRouteInput
    },
    output: {
        shape: CreateRouteOutput_1.CreateRouteOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateRoute.js.map