"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAuthorizerInput_1 = require("../shapes/DeleteAuthorizerInput");
var DeleteAuthorizerOutput_1 = require("../shapes/DeleteAuthorizerOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAuthorizer",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/authorizers/{authorizerId}"
    },
    input: {
        shape: DeleteAuthorizerInput_1.DeleteAuthorizerInput
    },
    output: {
        shape: DeleteAuthorizerOutput_1.DeleteAuthorizerOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteAuthorizer.js.map