"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteIntegrationInput_1 = require("../shapes/DeleteIntegrationInput");
var DeleteIntegrationOutput_1 = require("../shapes/DeleteIntegrationOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegration",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}"
    },
    input: {
        shape: DeleteIntegrationInput_1.DeleteIntegrationInput
    },
    output: {
        shape: DeleteIntegrationOutput_1.DeleteIntegrationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteIntegration.js.map