"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApiInput_1 = require("../shapes/GetApiInput");
var GetApiOutput_1 = require("../shapes/GetApiOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApi",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}"
    },
    input: {
        shape: GetApiInput_1.GetApiInput
    },
    output: {
        shape: GetApiOutput_1.GetApiOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetApi.js.map