"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApisInput_1 = require("../shapes/GetApisInput");
var GetApisOutput_1 = require("../shapes/GetApisOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApis = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApis",
    http: {
        method: "GET",
        requestUri: "/v2/apis"
    },
    input: {
        shape: GetApisInput_1.GetApisInput
    },
    output: {
        shape: GetApisOutput_1.GetApisOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetApis.js.map