"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAuthorizerInput_1 = require("../shapes/GetAuthorizerInput");
var GetAuthorizerOutput_1 = require("../shapes/GetAuthorizerOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAuthorizer",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/authorizers/{authorizerId}"
    },
    input: {
        shape: GetAuthorizerInput_1.GetAuthorizerInput
    },
    output: {
        shape: GetAuthorizerOutput_1.GetAuthorizerOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetAuthorizer.js.map