"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetIntegrationsInput_1 = require("../shapes/GetIntegrationsInput");
var GetIntegrationsOutput_1 = require("../shapes/GetIntegrationsOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIntegrations = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIntegrations",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/integrations"
    },
    input: {
        shape: GetIntegrationsInput_1.GetIntegrationsInput
    },
    output: {
        shape: GetIntegrationsOutput_1.GetIntegrationsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetIntegrations.js.map