"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetModelsInput_1 = require("../shapes/GetModelsInput");
var GetModelsOutput_1 = require("../shapes/GetModelsOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModels",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/models"
    },
    input: {
        shape: GetModelsInput_1.GetModelsInput
    },
    output: {
        shape: GetModelsOutput_1.GetModelsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetModels.js.map