"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetRoutesInput_1 = require("../shapes/GetRoutesInput");
var GetRoutesOutput_1 = require("../shapes/GetRoutesOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRoutes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRoutes",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/routes"
    },
    input: {
        shape: GetRoutesInput_1.GetRoutesInput
    },
    output: {
        shape: GetRoutesOutput_1.GetRoutesOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetRoutes.js.map