"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetStageInput_1 = require("../shapes/GetStageInput");
var GetStageOutput_1 = require("../shapes/GetStageOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetStage",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/stages/{stageName}"
    },
    input: {
        shape: GetStageInput_1.GetStageInput
    },
    output: {
        shape: GetStageOutput_1.GetStageOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetStage.js.map