"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetTagsInput_1 = require("../shapes/GetTagsInput");
var GetTagsOutput_1 = require("../shapes/GetTagsOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetTags",
    http: {
        method: "GET",
        requestUri: "/v2/tags/{resource-arn}"
    },
    input: {
        shape: GetTagsInput_1.GetTagsInput
    },
    output: {
        shape: GetTagsOutput_1.GetTagsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=GetTags.js.map