"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateApiInput_1 = require("../shapes/UpdateApiInput");
var UpdateApiOutput_1 = require("../shapes/UpdateApiOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateApi",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}"
    },
    input: {
        shape: UpdateApiInput_1.UpdateApiInput
    },
    output: {
        shape: UpdateApiOutput_1.UpdateApiOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateApi.js.map