"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateApiMappingInput_1 = require("../shapes/UpdateApiMappingInput");
var UpdateApiMappingOutput_1 = require("../shapes/UpdateApiMappingOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateApiMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateApiMapping",
    http: {
        method: "PATCH",
        requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}"
    },
    input: {
        shape: UpdateApiMappingInput_1.UpdateApiMappingInput
    },
    output: {
        shape: UpdateApiMappingOutput_1.UpdateApiMappingOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateApiMapping.js.map