"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateDeploymentInput_1 = require("../shapes/UpdateDeploymentInput");
var UpdateDeploymentOutput_1 = require("../shapes/UpdateDeploymentOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDeployment",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}"
    },
    input: {
        shape: UpdateDeploymentInput_1.UpdateDeploymentInput
    },
    output: {
        shape: UpdateDeploymentOutput_1.UpdateDeploymentOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateDeployment.js.map