"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateIntegrationInput_1 = require("../shapes/UpdateIntegrationInput");
var UpdateIntegrationOutput_1 = require("../shapes/UpdateIntegrationOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ConflictException_1 = require("../shapes/ConflictException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateIntegration",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}"
    },
    input: {
        shape: UpdateIntegrationInput_1.UpdateIntegrationInput
    },
    output: {
        shape: UpdateIntegrationOutput_1.UpdateIntegrationOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateIntegration.js.map