"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _IntegrationParameters_1 = require("./_IntegrationParameters");
var _TemplateMap_1 = require("./_TemplateMap");
exports.UpdateIntegrationInput = {
    type: "structure",
    required: ["ApiId", "IntegrationId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ConnectionId: {
            shape: {
                type: "string"
            },
            locationName: "connectionId"
        },
        ConnectionType: {
            shape: {
                type: "string"
            },
            locationName: "connectionType"
        },
        ContentHandlingStrategy: {
            shape: {
                type: "string"
            },
            locationName: "contentHandlingStrategy"
        },
        CredentialsArn: {
            shape: {
                type: "string"
            },
            locationName: "credentialsArn"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        IntegrationId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "integrationId"
        },
        IntegrationMethod: {
            shape: {
                type: "string"
            },
            locationName: "integrationMethod"
        },
        IntegrationType: {
            shape: {
                type: "string"
            },
            locationName: "integrationType"
        },
        IntegrationUri: {
            shape: {
                type: "string"
            },
            locationName: "integrationUri"
        },
        PassthroughBehavior: {
            shape: {
                type: "string"
            },
            locationName: "passthroughBehavior"
        },
        RequestParameters: {
            shape: _IntegrationParameters_1._IntegrationParameters,
            locationName: "requestParameters"
        },
        RequestTemplates: {
            shape: _TemplateMap_1._TemplateMap,
            locationName: "requestTemplates"
        },
        TemplateSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "templateSelectionExpression"
        },
        TimeoutInMillis: {
            shape: {
                type: "integer",
                min: -2147483648
            },
            locationName: "timeoutInMillis"
        }
    }
};
//# sourceMappingURL=UpdateIntegrationInput.js.map