"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AccessLogSettings_1 = require("./_AccessLogSettings");
var _RouteSettings_1 = require("./_RouteSettings");
var _RouteSettingsMap_1 = require("./_RouteSettingsMap");
var _StageVariablesMap_1 = require("./_StageVariablesMap");
var _Tags_1 = require("./_Tags");
exports._Stage = {
    type: "structure",
    required: ["StageName"],
    members: {
        AccessLogSettings: {
            shape: _AccessLogSettings_1._AccessLogSettings,
            locationName: "accessLogSettings"
        },
        ClientCertificateId: {
            shape: {
                type: "string"
            },
            locationName: "clientCertificateId"
        },
        CreatedDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            },
            locationName: "createdDate"
        },
        DefaultRouteSettings: {
            shape: _RouteSettings_1._RouteSettings,
            locationName: "defaultRouteSettings"
        },
        DeploymentId: {
            shape: {
                type: "string"
            },
            locationName: "deploymentId"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        LastUpdatedDate: {
            shape: {
                type: "timestamp",
                timestampFormat: "iso8601"
            },
            locationName: "lastUpdatedDate"
        },
        RouteSettings: {
            shape: _RouteSettingsMap_1._RouteSettingsMap,
            locationName: "routeSettings"
        },
        StageName: {
            shape: {
                type: "string"
            },
            locationName: "stageName"
        },
        StageVariables: {
            shape: _StageVariablesMap_1._StageVariablesMap,
            locationName: "stageVariables"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=_Stage.js.map